package org.sonatype.flexmojos.compiler;

import java.io.File;
import java.util.List;


public interface ICompilerConfiguration extends IFlexConfiguration {
  Boolean getAccessible();

  String getActionscriptFileEncoding();

  Boolean getAdjustOpdebugline();

  Boolean getAllowSourcePathOverlap();

  Boolean getAs3();

  IDefine[] getDefine();

  Boolean getConservative();

  String getContextRoot();

  Boolean getDebug();

  String getDefaultsCssUrl();

  Boolean getDoc();

  Boolean getEs();

  File[] getExternalLibraryPath();

  Boolean getHeadlessServer();

  File[] getIncludeLibraries();

  Boolean getIncremental();

  Boolean getKeepAllTypeSelectors();

  String[] getKeepAs3Metadata();

  Boolean getKeepGeneratedActionscript();

  Boolean getKeepGeneratedSignatures();

  Boolean getEnableRuntimeDesignLayers();

  Boolean getEnableSwcVersionFiltering();

  File[] getLibraryPath();

  String[] getLocale();

  Integer getMemoryUsageFactor();

  String getMinimumSupportedVersion();

  Boolean getOmitTraceStatements();

  Boolean getOptimize();

  String getPreloader();

  Boolean getResourceHack();

  String getServices();

  Boolean getShowActionscriptWarnings();

  Boolean getShowBindingWarnings();

  Boolean getShowDependencyWarnings();

  Boolean getReportInvalidStylesAsWarnings();

  Boolean getReportMissingRequiredSkinPartsAsWarnings();

  Boolean getShowInvalidCssPropertyWarnings();

  Boolean getShowDeprecationWarnings();

  Boolean getShowShadowedDeviceFontWarnings();

  Boolean getShowUnusedTypeSelectorWarnings();

  Boolean getDisableIncrementalOptimizations();

  File getSignatureDirectory();

  File[] getSourcePath();

  Boolean getStrict();

  List getTheme();

  List getDefaultsCssFiles();

  String getTranslationFormat();

  Boolean getUseResourceBundleMetadata();

  Boolean getVerboseStacktraces();

  Boolean getWarnArrayTostringChanges();

  Boolean getWarnAssignmentWithinConditional();

  Boolean getWarnBadArrayCast();

  Boolean getWarnBadBoolAssignment();

  Boolean getWarnBadDateCast();

  Boolean getWarnBadEs3TypeMethod();

  Boolean getWarnBadEs3TypeProp();

  Boolean getWarnBadNanComparison();

  Boolean getWarnBadNullAssignment();

  Boolean getWarnBadNullComparison();

  Boolean getWarnBadUndefinedComparison();

  Boolean getWarnBooleanConstructorWithNoArgs();

  Boolean getWarnChangesInResolve();

  Boolean getWarnClassIsSealed();

  Boolean getWarnConstNotInitialized();

  Boolean getWarnConstructorReturnsValue();

  Boolean getWarnDeprecatedEventHandlerError();

  Boolean getWarnDeprecatedFunctionError();

  Boolean getWarnDeprecatedPropertyError();

  Boolean getWarnDuplicateArgumentNames();

  Boolean getWarnDuplicateVariableDef();

  Boolean getWarnForVarInChanges();

  Boolean getWarnImportHidesClass();

  Boolean getWarnInstanceOfChanges();

  Boolean getWarnInternalError();

  Boolean getWarnLevelNotSupported();

  Boolean getWarnMissingNamespaceDecl();

  Boolean getWarnNegativeUintLiteral();

  Boolean getWarnNoConstructor();

  Boolean getWarnNoExplicitSuperCallInConstructor();

  Boolean getWarnNoTypeDecl();

  Boolean getWarnNumberFromStringChanges();

  Boolean getWarnScopingChangeInThis();

  Boolean getWarnSlowTextFieldAddition();

  Boolean getWarnUnlikelyFunctionValue();

  Boolean getWarnXmlClassHasChanged();

  Boolean getArchiveClassesAndAssets();

  Boolean getGenerateAbstractSyntaxTree();

  Boolean getIsolateStyles();

  Boolean getAllowDuplicateDefaultStyleDeclarations();

  String getJavaProfilerClass();

  IFontsConfiguration getFontsConfiguration();

  IMxmlConfiguration getMxmlConfiguration();

  INamespacesConfiguration getNamespacesConfiguration();

  IExtensionsConfiguration getExtensionsConfiguration();

}
